{% extends "base.html" %}

{% block title %} <title>Note List</title> {% endblock %}
{% block style %}
  .grid-container {
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    grid-gap: 10px;

    margin: 1rem 1rem 1rem 1rem;
  }
  .card {
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    transition: 0.3s;
    width: 100%;
    border-radius: 5px;
    display: flex;
    justify-content: space-between;
    margin: 0rem 0rem 1rem;
  }

  .table {
    overlflow: scroll;
  }
  .td {
    overlflow: scroll;
  }
  .tr {
    overlflow: scroll;
  }
  .card:hover {
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
  }

  .container {
    padding: 2rem 1rem 2rem;
  }

  body {
    font-family: Arial, Helvetica, sans-serif;
  }
  {% endblock %}

  {% block content %}
  <div class="grid-container">
    {% for i in notes %}
    <div class="card">
      <div class="container">
      <table>
        <tr>
            <td><b>To</b></td>
          <td>{{i.to}}</td>
        </tr>
        <tr>
          <td><b>From</b></td>
          <td>{{i.dari}}</td>
        </tr>
        <tr>
          <td><b>Title</b></td>
          <td>{{i.title}}</td>
        </tr>
        <tr>
          <td><b>Message</b></td>
          <td></td>
        </tr>
      </table>
        <table><tr><td>{{i.message}}</td></tr></table>
    </div>
    </div>
    {% endfor %}
  </div>
  {% endblock %}
